#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This examples mostly demonstrates border_width= and spacing=.
# =========================================================================== #
# require 'gtk_paradise/067_vbox_with_spacing_and_border_width.rb'
# =========================================================================== #
require 'gtk3'

BORDER_WIDTH_TO_USE = 120

window = Gtk::Window.new
vbox = Gtk::Box.new(:vertical)
label1 = Gtk::Label.new('Hello')
vbox.add(label1)
label2 = Gtk::Label.new('world!')
vbox.add(label2)
vbox.border_width = BORDER_WIDTH_TO_USE
vbox.spacing = 250 # Specify the spacing to be used here.
window.add(vbox)
window.show_all
window.move(0, 0)
window.signal_connect(:delete_event) { Gtk.main_quit }
Gtk.main